/***************************************************************
 * Name:      editcategories.h
 * Purpose:   Category Code for OpenMoneyBox Application Class
 * Author:    Igor Calì (igor.cali0@gmail.com)
 * Created:   2023-04-30
 * Copyright: Igor Calì (igor.cali0@gmail.com)
 * License:		GNU
 **************************************************************/

#ifndef __editcategories__
#define __editcategories__

/**
@file
Subclass of wxFEditCategories, which is generated by wxFormBuilder.
*/

#include "wxeditcategories.h"

//// end generated include

/** Implementing wxFEditCategories */
class wxEditCategories : public wxFEditCategories
{
	private:
		bool IconsInitialized;
	protected:
		// Handlers for wxFEditCategories events.
		//void FormShow( wxActivateEvent& event );
		void OKBtnClick( wxCommandEvent& event ) override;
	public:
		bool modified;
		int FirstAddedId;	// first added icon id
		/** Constructor */
		explicit wxEditCategories( wxWindow* parent );
	//// end generated class members
		void OnListCtrl(wxListEvent& event) override;
		void AddButtonClick(wxCommandEvent& event) override;
		void RemoveButtonClick(wxCommandEvent& event) override;
		void ChooseBtnClick(wxCommandEvent& event) override;
		void IconButtonClick(wxCommandEvent& event) override;
};

// Calls to module omblogo
#if (wxCHECK_VERSION(3, 2, 0) )
	extern wxString iUpperCase(wxString S);
#else
	WXIMPORT wxString iUpperCase(wxString S);
#endif

#ifdef _OMB_MONOLITHIC
  extern wxString GetOSDocDir(void);
#else
  WXIMPORT wxString GetOSDocDir(void);
#endif // _OMB_MONOLITHIC

#endif // __editcategories__
